Skip to navigation

List runs

View as Markdown

Newest first. Output is not inlined; fetch a run or its result for data.

Authentication

AuthorizationBearer
An AgentRouter API key or an OAuth access token issued to an MCP host or the CLI.

Query parameters

statusstringOptional

A run status, or running for READY, RUNNING and STOPPING.

tool_idstringOptional
session_idstringOptional
caller_idstringOptional
API key id or OAuth grant id.
limitintegerOptional1-100Defaults to 20
cursorstringOptional

Use next_cursor for older runs or previous_cursor for newer runs. Keep the same filters and limit.

Response

A page of runs
objectany
runslist of objects
next_cursorstring or null
previous_cursorstring or null

Errors

401
Unauthorized Error